=== debian/changelog ===
ros-kinetic-youbot-driver (1.1.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Walter Nowak <nowak@locomotec.com>  Wed, 11 Oct 2017 09:56:56 -0000
