=== debian/control ===
Source: ros-kinetic-youbot-driver
Section: misc
Priority: extra
Maintainer: Walter Nowak <nowak@locomotec.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rosconsole, ros-kinetic-roscpp
Homepage: http://github.com/youbot/youbot_driver
Standards-Version: 3.9.2

Package: ros-kinetic-youbot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rosconsole, ros-kinetic-roscpp
Description: driver for the KUKA youBot robot
